#!/bin/bash
# Fichero de arranque de Bibliotecas

# Actualizaciones automticas durante el arranque (biblio) 

# Comprobacin de que hay conectividad
# ping -c 1 http.guadalinex.org 2> /dev/null > /dev/null
wget http://http.guadalinex.org/descargas/test/guada-bib.dummy -o /dev/null -O /dev/null

if [ $? = "0" ]; then # Hay conectividad
# Actualizacin de la base de datos de paquetes
  echo "Actualizando base de datos de paquetes..."
(  apt-get update 

# Instalacin del metapaquete de actualizacin del cliente
  echo "Actualizando sistema..."
  DEBCONF_PRIORITY=high apt-get install --config-file /etc/apt/apt.conf.auto -y -qq meta-bibliotecas-usuario-actualizacion
) &

else # No hay conectividad
  echo "Actualizando sistema: no hay conectividad..."
fi


